# ApplicationFramework
TKLCAF
TDocStd

# TDocStd_Owner Class Reference

`#include <TDocStd_Owner.hxx>`

Inheritance diagram for TDocStd_Owner:

[legend]

## Public Member Functions

Standard_EXPORT | TDocStd_Owner ()
Standard_EXPORT void | SetDocument (const Handle(TDocStd_Document)&document)
Standard_EXPORT Handle_TDocStd_Document | GetDocument () const
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| class methods =============
static Standard_EXPORT void | SetDocument (const Handle(TDF_Data)&indata, const Handle(TDocStd_Document)&doc)
static Standard_EXPORT Handle_TDocStd_Document | GetDocument (const Handle(TDF_Data)&ofdata)
| Owner methods =============== .

## Private Attributes

Handle_TDocStd_Document | myDocument

## Constructor & Destructor Documentation

Standard_EXPORT TDocStd_Owner::TDocStd_Owner | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_OStream& TDocStd_Owner::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT Handle_TDocStd_Document TDocStd_Owner::GetDocument | ( |  | ) | const

static Standard_EXPORT Handle_TDocStd_Document TDocStd_Owner::GetDocument | ( | const Handle(TDF_Data)& | ofdata | ) | `[static]`

static Standard_EXPORT const Standard_GUID& TDocStd_Owner::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDocStd_Owner::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDocStd_Owner::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Handle_TDF_Attribute TDocStd_Owner::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDocStd_Owner::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDocStd_Owner::Restore | ( | const Handle(TDF_Attribute)& | With | ) | `[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDocStd_Owner::SetDocument | ( | const Handle(TDocStd_Document)& | document | ) |

static Standard_EXPORT void TDocStd_Owner::SetDocument | ( | const Handle(TDF_Data)& | indata,
|  | const Handle(TDocStd_Document)& | doc
| ) | `[static]`

## Field Documentation

Handle_TDocStd_Document TDocStd_Owner::myDocument `[private]`

The documentation for this class was generated from the following file:

- TDocStd_Owner.hxx